Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -312,5 +312,5 @@
       } catch (OperationCanceledException) {
       } catch (AggregateException ae) {
-        OnExceptionOccurred(ae.InnerExceptions.SingleOrDefault() ?? ae);
+        ae.FlattenAndHandle(new[] { typeof(OperationCanceledException) }, e => OnExceptionOccurred(e));
       } catch (Exception e) {
         OnExceptionOccurred(e);
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame	(revision 16140)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Algorithms.Benchmark plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Algorithms.Benchmarks", "Provides different performance benchmark algorithms.", "3.3.14.$WCREV$")]
+  [Plugin("HeuristicLab.Algorithms.Benchmarks", "Provides different performance benchmark algorithms.", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Algorithms.Benchmarks-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame	(revision 16140)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2016 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
